<?php
/***************************************************************
 *  Copyright notice
 *
 *  (c) sgalinski Internet Services (https://www.sgalinski.de)
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

return static function (\Symfony\Component\DependencyInjection\Loader\Configurator\ContainerConfigurator $containerConfigurator): void {
	$services = $containerConfigurator->services();
	$services->defaults()
		->private()
		->autowire()
		->autoconfigure();
	$services->load('SGalinski\\SgJobs\\', __DIR__ . '/../Classes/');
	$services->set(\SGalinski\SgJobs\Service\SitemapService::class)
		->public();
	$services->set(\SGalinski\SgJobs\Service\BackendService::class)
		->public();
	$services->set(\SGalinski\SgJobs\Preview\PreviewRenderer::class)
		->public();
	$services->set(\SGalinski\SgJobs\Event\Listener\AccessPageListEventListener::class)
		->tag('event.listener', [
			'identifier' => 'accessPageListEvent',
			'event' => \SGalinski\SgSeo\Events\AccessPageListEvent::class
		]);
	$services->set(\SGalinski\SgJobs\Event\Listener\ExcludeFromReferenceIndexListener::class)
		->tag('event.listener', [
			'identifier' => 'sg-jobs/excludeFromRefIndex',
			'event' => \TYPO3\CMS\Core\DataHandling\Event\IsTableExcludedFromReferenceIndexEvent::class
		]);
};
